달력

11

« 2020/11 »

  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7
  • 8
  • 9
  • 10
  • 11
  • 12
  • 13
  • 14
  • 15
  • 16
  • 17
  • 18
  • 19
  • 20
  • 21
  • 22
  • 23
  • 24
  • 25
  • 26
  • 27
  • 28
  • 29
  • 30
  •  
  •  
  •  
  •  
  •  

'공부하는 것/Ruby On Rails'에 해당되는 글 9

  1. 2009.04.20 Eclipse에 JRuby환경 만들기
  2. 2009.03.28 Ruby On Rails 2.3.2 Update 하기 (6)
  3. 2009.03.18 RedRails Plugin Eclipse에 설치하기 (4)
  4. 2009.02.26 Ruby On Rails ver 1.2 사용법 정리(2)
이번 주에는 Google App Engine에 feel이 꽂히는 바람에 몇가지 작업들을 해보았다.
그중에 하나는 우연히도 Eclipse에서 JRuby 환경을 남들고, 기존에 만들었던 Rails 프로그램이 실행이 가능하다는 사실을 알았다. 사실 이는 Eclipse의 기본 플러그인으로 바로 사용하는 것보다는 RedRails의 설치로 인하여 생기 긍정적인 Side Effect이다.
RedRails Plug-in을 설치할때, JRuby실행을 위한 Plugin또한 같이 설치되었기 때문에, 몇가지 작업과 몇가지 환경 구성을 위한 작업을 해주면 된다.

간략하게 순서를 설명하고, 진행 사항은 화면 캡쳐한 이미지를 이용하여 다시 설명하도록 하겠다.
(여기서 설명하는 방법은 기본적으로 RedRails 1.0 이상 버전이 설치되어 있다고 가정한다.)

- 진행 순서-
1. RedRails가 설치되어 있는, Eclipse에서 사용할 VM을 JRuby VM을 설정을 변경한다.
2. 관련된 플러그인들을  설치한다.
3. DB과련된 Plugin들을 gem을 이용하여 설치한다. (설명은 sqlite를 예로 하였음)

- 설 명 -
먼저 Eclipse를 실행하고, "Ctrl + 3" 키를 눌러서 빠른 찾기 창을 띄우고 "Preperences"를 창 상단에 있는 입력창에 입력한다. 그리고나서 "Preferences"창을 띄운다. (또 다른 방법으로는 Eclipse 메뉴의 Window 메뉴의 하위 메뉴인 "Preferences"메뉴를 클릭해서 창을 띄울수 있다.)

Preferences 창이 나타나면, 왼쪽 상단의 입력창에, "Installed Interpreter"라고 입력을 하거나, 직접 Ruby 설정 Tree 아래에 있는 "Installed Interpreters"를 찾아서 클릭을 한다.  

위 화면에서 보면, Ruby와 JRuby에 대한 VM을 선택할 수 있는 체크박스가 있는데, 여기서 "JRuby VM"을 선택한다. 위에서는 "org.jruby_1.1.6..."으로 표시되어 있는 것을 선택하면 된다.

그리고 조금만 기다리면, 아래와 같은 창이 RedRais(Eclipse)에 나타나는데, 이는 JRuby의 설치 경로가 기존에 설치되어 있는 Ruby의 경로와 다르기 때문이므로, 화면 아래에 있는 "Install"버튼을 눌러 그대로 진행 시킨다.


그러면 Rails를 위한 플러그인들과 라이브러리들의 설치가 아래와 같이 진행될 것이다.


플러그인들이 설치가 완료되고, 기존에 만들어 둔 Rails 프로젝트를 RedRails에서 열어, 서버를 실행을 시킨다.



서버가 Start되어 정상적으로 구동이되면, 웹브라우져에서 "http://localhost:3000" 를 입력하여 서버에 접속을 시키면 정상적으로 연결되는 것을 볼수 있을 것이다.

하지만, 기존에 만들어둔 프로그램이 정상적으로 동작하지 않는 것을 보게되는데, 이경우에는 몇가지 플러그인들을 더 설치해 주어야 한다.
나의 환경은 sqlite3를 이용하여 데이터베이스를 생성하고 어플케이션의 데이터를 저장하기 때문에 sqlite3 플러그인을 설치하는 것을 예로 들겠다.

먼저 다음 두개의 플러그인들을 gem을 이용해서 설치한다.
"jdbc-sqlite3"와 "activerecord-jdbcsqlite3-adapter" 플러그인을 설치하기 위해서는 아래와 같이 명령창에서 실행한다. RedRails가 설치되어 있으면, "Rails Shell"에서 실행하면 된다. 
    - Gem 실행 -
   1. gem install jdbc-sqlite3
   2. gem install activerecord-jdbcsqlite3-adapter

만약 정상적으로 위 명령이 실행이 되지 않는다면, Eclipse를 다시 실행하도록 한다.
버그인지는 모르겠지만, 새로 설치된 플러그인과 환경들이 정상적으로 메모리에 로딩되지 않았기 때문이다.

여기까지 따라왔으면, 한가지 더 수정할 것이 있다. 다름아닌 database 설정에 대한 것이다.
"config/database.yml" 파일을 열어서, adapter 를 sqlite3에서 jdbcsqlite3 로 변경해 주면된다. (아래 설정 예 참조)

- database.yml 설정 예- 
 development:
  adapter: jdbcsqlite3
  database: db/development.sqlite3
  pool: 5
  timeout: 5000

위와 같이 설정을 변경하고, 서버를 재 실행하고 테스트 하면 된다.  다음과 같이 Rails Shell에서 실행하면 된다. 이미 잘 알고 있으리고 생각하지만, script/server 라고 타이핑하고 실행하면된다.
아니면, Eclispe에서 Severs View를 열고, 여기서 실행한다.

짤지만, 많은 부분을 달려왔다. 한가지 언급하지 못한 부분이 있는데, gem 명령을 실행해서 update와 Install이 정상적으로 이루어 지지 않고 다음과 같은 메시지가 뜬다면, 현재 로그인 계정에 한글이 들어 있는지 의심해 보아야 한다.

- 에러 메시지 -
 ERROR:  While executing gem ... (Errno::ENOENT)
    No such file or directory - No such file or directory - C:/Documents and Settings/???
 
JRuby의 문제인지 RedRails의 문제인지 정확하게 알지는 못하지만, 한글 계정으로 윈도우를 실행해서 작업을 할 경우에 나타나는 문제인데, google을 통해서 찾아본 바로는 Unicode에 대한 문제였다. (으~~ 이것 땜시 새벽 늦게 까지 테스트 했다니....)
gem을 캐싱하기 위해서 임시로 만들어 놓는 디렉토리(.gem)인것 같은데, 아직 정확한 문제점을 확인하지 못하고 있다. 몇몇의 설정 파일들과 소스들을 찾아서 검토하고 있는데 정확히 어떤 위치인지 잘 모르겠다. 윈도우즈의 환경변수를 통해서 사용자 계정과 위치를 가져오는 것 같기도 한데, 이 역시 정보가 부족해서, 좀더 찾아와야 할 것 같다.
최근에 JRuby 1.2.0 버전이 올라왔다. 내가 설치한 것은 1.1.6 버전인데, 이 버전에서 해결이 되었으면 좋으련만....

 

Posted by 행복상자

댓글을 달아 주세요

얼마전에 Ruby on Rails를 2.2.2하였었는데, 오늘 또 2.3.2버전으로 update하였다.
이전에도 2.3버전이 곧 나올거라는 것은 알고 있었고, RubyOnRails사이트에서 보여지는 개발문서들은 2.3 버전을 기준으로 외부로 공개되었었다.(2.3버전을 기준으로 쓰여졌다는 말임)

Rails 2.2.2를 2.3.2 버전으로 업그레이드 하는 것은 아주쉽다. 이미 여러차례 gem을 이용하여 플러그인들과 Library들을 설치해본 경험이 있기때문이고, 쉬운 사용법 때문이다.

내가 작년에 진행했던 프로젝트는 나른대로 처움에 잡았던 컨셉과 기능들이 잘 설계되었다고 생각하였다.
하지만 개발자들의 빠르게 효율적으로 만들어주고, 좀 더 쉽게 개발할 수 있도록 도와주려 했넌 나의 생각은 여지없이 무너지고, 결국 EJB에 버금가는 또 하나의 무거운 괴물을 만든것이 아닌가라는 생각이 자주든다.

개발과 테스트 그리고 배포시의 패키지 또는 개발된 리소스를 이용하는 방법은 달라야한다.
Rails에서 배포는 gem을 이용하는데, 개인적으로는 간단하고 단순한것이 마음에 든다.

기본적으로 Gem을 이용하기 때문에 최신 버전을 받는것은 간략하게 "gem install rails" 라고 Command창에서 실행하기만 하면 된다.
이를 실행하기 전에 현재 설치 되어 있는 Rails 버전을 아래과 같이 확인할 수 있다. 
명령창에 "rails -v" 라고 입력하고 실행하면 된다.
  

현재 설치 되어 있는 Rails의 버전은 2.2.2 이다. 이제 새로 배포되기 시작한 Rails 2.3.2를 설치할 텐데, 위에서 한번 언급했던 "gem install rails"라고 실행을 하거나 "gem install rails -y"을  주고 실행을 시키면 된다. 이때 사용하는 "-y" 옵션은 설치에 필요한 패키지들에 대한 dependency가 있는 모듈 역시 자동으로 설치하도록 도와준다.
여기서는 위의 그래에서 처럼 "-y" 옵션을 사용하여 "gem install -y"를 명령행에서 실행시켰다. (아래 그림 참조)


설치 명령에 따라서, 업그레이드에 필요한 Rails의 필수 6개의 피키지들이 위와 같이 설치가 되고 있다. 먼저 기본 6개의 패키지들이 설치가 되고, 이어서 필요한 문서들이 함께 설치가 되고 있는 중이다.

Rails와 문서들의 설치가 완료되면, 아래와 같이 Rails의 버전을 확인해서 설치가 정상적으로 완되되었는지 다시 한번 확인하면 설치는 마무리 된다.


Posted by 행복상자

댓글을 달아 주세요

  1. smith17 2009.04.10 17:05  댓글주소  수정/삭제  댓글쓰기

    지나가다 궁금한 점이 있어서 질문 좀 드립니다. 저 같은 경우는 radrails에서 rails v2.2.2를 사용하다가 이번에 netbeans로 IDE를 갈아타면서 그안에 빌트인 되어있는 jruby에 rails v2.3.2로 업데이트 하여 프로젝트 새로 생성하려고 하고 있는데요. mysql과 연동하고 migrate를 수행하면 에러가 발생하더군요. 다른 곳이라 에러 메세지를 적을 순 없지만..ㅎㅎ 혹시 2.3.2로 갈아타시고 다른 문제 없으셨는지 궁금해서요..ㅎㅎㅎ그럼 수고하세요

  2. smith17 2009.05.08 20:21  댓글주소  수정/삭제  댓글쓰기

    우연히 또 들렀네요.
    전에 제가 물어본 것에 대한 해결책이 있어서..

    음..결론적으로
    Netbean 자체가 문제였던 거 같네요..ㅎㅎ
    결국 마일스톤 6.7을 설치하고 동작시켰더니 데이터베이스는 잘 동작하더군요..ㅎㅎㅎ
    언제 시간나실때 한번 써보시길.
    그럼 즐거운 주말되세요^^

  3. 행복상자 2009.05.08 22:25 신고  댓글주소  수정/삭제  댓글쓰기

    저는 RedRails를 주로 사용하는데, 별 문제 없었습니다.
    JRuby를 사용하신다니, 부럽네요. 제가 하는 프로젝트가 주로 Java여서, JRuby도 관심이 많은데, 아직 사용해보지는 못했습니다.
    최근에, Google에서 Google App Engine에서 사용가능한 언어로 Python에 이어 Java를 선택했고, 이 때문에 JRuby와 Groove를 이용한 개발이 가능하다고 발표해서, 더 더욱 관심이 생기네요.

    별 도움이 안되어서 어쩌지요 ^^;;
    즐거운 프로그래밍 하시는 주말 되시길...
    찾아 주어서 고맙습니다.

  4. 행복상자 2009.05.08 22:27 신고  댓글주소  수정/삭제  댓글쓰기

    다행입니다. 문제가 잘 해결되었다니...
    나중에 기회가 되면 한번 써볼께요.

    익숙한 툴은 바꾸기가 쉽지 않지만,기회가 되면 꼭 써볼께요.

  5. 행복나무 2009.06.19 22:29  댓글주소  수정/삭제  댓글쓰기

    gem install rails -y 해서 실행하니
    INFO .....
    Bulk updating Gem source index for : http:..gems.rubyforge.org라는 부분 이 나오고 아무리 기다려도 넘어가지가 않아요..ㅠㅠ 왜 이렇죠??

  6. 행복상자 2009.06.23 22:42 신고  댓글주소  수정/삭제  댓글쓰기

    지금도 안되는지 궁금하군요.
    정확하게는 기억이 안나는데, 저도 비슷한 경험이 있었는데,
    네트워크 문제였습니다. 안되다가 갑자기 잘 되더군요.
    만약 지금도 안되시면, gem을 새버전으로 설치하시고, 실행해 보시기 바랍니다.
    명령은 gem update --system 입니자.

지난 몇주 동안 Ruby on Rails를 가지고 이것 저것 테스트도 하고 공부를 하고 있는 중이다. 그리고 RedRails 플러그인을 Eclipse에 설치하여 몇가지 셈플도 만들어 보았는데, 예전에 사용해 보았던 RedRails 0.8, 0.9 버전보다 사용하기도 편해졌고, Console창에서 Scaffolding을 이용하여 파일을 생성하는 것보다 더 가볍고 빠르다는 느낌이 든다.
이는 아마도 백그라운드에서 Ruby이 VM이 떠 있는 상태에서 실행되기 때문일거라 생각된다.
Console창으로 Rails를 실행하는데 익숙한 개발자를 위하여, RedRails는 Console 모드를 추가되었다.

RedRails를 설치하는 방법에 대해서 간략하게 설명하려고 하는데, 다음과 같은 순서로 진행하면 된다.

RedRails는 http://www.aptana.com/에서 다운을 받아 독립적으로 실행되는 프로그램으로 설치하거나 Eclipse의 Plugin형태로 설치가 가능하다.
윈래 RadRails는 개인 개발자가 혼자 개발하다고, Aptana라는 회사로 이적하면서, 개발되고 수정되고 있는, 공개 Plugin인데, Aptana라는 회사는 웹 개발을 위한 개발 툴과 Eclipse 플러그인을 개발하고 있는 회사로, 툴들이 제법 사용할 만한 가치가 있다. 

먼저 http://www.aptana.com/studio/download 로 이동해서, 설치 버튼을 누르면, 플러그인 설치를 위한 설명 페이지로 이동하게 된다.  Eclipse에서 RedRails 플로그인을 설치하기 위해서는 먼저 Aptana Studio를 설치해야 하는데, 이는 Eclipse의 Help > Software Update... 메뉴를 선택하면 아래와 같은 화면이 나타나는데, 차의 우측의 Add Site...버튼을 클릭하고 Remote Update를 위해서 다음과 같은 URL을 입력 필드에 입넣어주고 저장한후 상단의 Install...버튼을 클릭하여 실행을 시켜면 아래 그림과 같이 진행이 될 것이다. 
        * Add Site...:   http://d3kp2jit5ckrb9.cloudfront.net/3.2/ 
         



설치할 Plugin들을 다운로드하면 아래와 같이 설치 항목들을 확인하는 창이 나타난다. 당연히 "NENT"버튼을 클릭해서 다음 단계로 넘어간다.
 


그러면, 아래와 같은 화면이 나타나는데, 라이센스에 관련된 내용이므로 동의하고 다음단계로 넘어가면 된다.


위 그림에서 "Finish"버튼을 누르면, 설치가 진행된다.



설치가 완료 되면 아래와 같은 창이 나타나는데, "Yes"버튼을 클릭하여, Eclipse를 재 시작 시킨다.


Elipse를 재 시작하고, Aptana Studio를 시작한다. (만약, 직접 실행이 되지 않았다면, Eclipse의 우측 상단에서 Apatana Perspective를 선택하면 된다.)
그리고, 상단의 메뉴를 보면 아래와 같은 메뉴텝이 있는데, 여기서 두번째 메뉴 아이템을 클릭하면, Aptana의 설치 가능한 Plugins Manager 윈도우가 나타난다.


아래과 같이 Plugins Manager윈도우가 나타나면, "Install"텝을 선택하고 보면, 리스트에 Aptana ReadRails라는 플러그인이 보인 것이다. (아래 그림 참조)

설치하려고 하는 Plugin에 마우스 오른쪽 버튼을 클릭하고, Context메뉴에서 Install을 선택한다. (여기서 우리는 Aptana RedRails를 선택한다. 이유는 다들 알겠지요. 우리는 RedRails 플러그인 설치하려고 여기까지 왔습니다. ^^)

여기까지 잘 따라왔으면, 아래와 같은 창이 나타나는 것이 보게될 것이다.
각 항목들을 모두 체크해 주고,  화면 아래에 있는 "Next"버튼을 클릭하여 다음 단계로 이동한다.

위에서 처럼 Plugin을 설치하게 되면, 처음에 Aptana Studio Plugin을 설치했을 때 처럼, Eclipse를 재 시작을 확인하는 윈도우가 나타나게 되는데, "Yes"를 눌러 재시작을 시키면 된다.


Eclipse가 정상적으로 재시작하자마다, 아래의 창이 나타남을 볼수 있을 것이다.
화면 하단의 Install버튼을 눌러 Ruby와 RedRails를 위한 gem들을 설치하면 Rails를 사용하기 위한 모든 준비가 마쳐지게 된다.



주의 사항으로는 만약 Ecllise가 설치된 경로에 한글이 포함되어 있으면, Aptana Studio 플러그인이 정상적으로 설치가 되지 않는다. 나도 몇번을 설치하다가 결국을 Eclipse 경로를 "C:\" 아래로 바꾸었다. (이는 이전 버전에서는 없었던 문제이다. )

RedRails를 설치하면, 실망할 일은 별로 없을 것이다. 오히려 개발하는데 여러 모로 편리함을 주기때문에 편리하다. 특히 Javascript 코딩을 하거나, SVN을 연동할 일이 있다면, 이는 정말 Eclipse가 잘 하는 장르 중에 하나이다.

여담인데, 오늘 SVN없이 작업하다가 셈플 코드를 모두 날렸다. 결국 SVN Eclipse plugin을 설치하고 나서야 안심이 되었다. 이 플러그인역시 위에 있는 화면중에 하나인 plugin Manager를 통해서 설치했다. 나의 경우는 SubClipse Plugin을 설치했다.

Posted by 행복상자

댓글을 달아 주세요

  1. 델피니 2009.04.22 12:20  댓글주소  수정/삭제  댓글쓰기

    루비 공부를 하려다가 rails를 설치하고 radrails까지 이클립스 플러그인에 설치했는데 버그인지 문제점이 발견되더라구요.
    aptana 사이트에서 하라는데로 다 따라하면 플러그인까지 제대로 설치되는데, 플러그인 설치 후 Rails perspective를 눌러서 rails환경으로 변경시키면 그 이후부터는 워크스페이스를 아무리 바꿔도 초기 시작 워크스페이스가 고정이 되버리더군요.;; 저만 그런건가요..ㅠ_ㅠ

    아, 가니메데 맥버전에 설치해봤습니다.
    어제 관련 글 포스팅 했던 것, 트랙백 걸어둘께요

  2. 행복상자 2009.04.29 00:08 신고  댓글주소  수정/삭제  댓글쓰기

    안녕하세요. 델피니님.
    제게 요청하신것에 대해서 답글이 좀 늦어 죄송합니다. 나름 이것저것 하는 것이 많아서 늦었습니다. 사실 저도 같은 증상이 있어서 나름대로 살펴보았습니다. 역시나 Aptena사이트의 이슈 트랙커에 해결 방법이 올라와 있더군요.

    다음의 링크를 참조하시기 바랍니다.
    - http://support.aptana.com/asap/browse/ROR-1258
    위 링크 하단에 보면 Hendrik Gebhardt라는 사람이 해결 방법에 대해서 아래와 같이 해결책은 설명하고 있습니다.

    Same problems with Apatan Studio (with RadRails Plugin).
    After "Clean Configuartion" (Help --> Aptana Help --> Troubleshooting --> Clean Configuration) the problem is solved in my installation.

    간략하게 설명드리면, Help메뉴의 하위 메뉴인 Aptena Help메뉴에서 Troubleshooting메뉴의 하위 메뉴인 Clean Configuration을 선택하면 됩니다.

    예전에 JRuby를 설정하다가 살펴보니, OS의 사용자 계정을 Aptena Study에서 기본으로 Workspace를 잡아서 생기는 증상이라고 생각이 됩니다. 위처럼 해주면, 기존 설정 환경은 초기화되고, 원하는 Workspace를 설정할 수 있습다.

    JRuby설정하느라 새벽 3시까지 잠못자고 설쳤던 기억이 나네요.

    즐프 하시기 바랍니다. ^^

  3. 김석영 2009.08.17 23:10  댓글주소  수정/삭제  댓글쓰기

    Aptana 아 여기 레퍼런스 참조하러 몇번 갔었는되 개발회사 였군요 ..

  4. 행복상자 2009.08.18 04:45 신고  댓글주소  수정/삭제  댓글쓰기

    네, PHP 와 HTML 등을 지원하는 IDE를 만드는 회사인데, 최근에는 자체적으로 Clouding service 를 지원하고 있습니다. 물로 유료입니다. Ruby on Rails로 만든 프로젝트도 Eclipse에서 버튼 하나로 서버로 올려 바로 서비스를 제공할 수 있도록 해주고 있습니다.

MVC 패턴을 이용하여, 기본적인 페이지를 만드는 것은 별로 어렵지 않다. 그리고 scaffold를 이용하여 기본적인 뼈대를 만들어서 원하는 기능을 살을 붙이듯이 개발해 나갈 수 있다.
Active Record는 데이터 레이어와 비스니스 레이어를 위해서 데이터를 관리하고 쉽게 사용할 수 있도록 도와준다.


6. Active Record
    : Active Record는 레일즈 애플리케이션과 데이터베이스 간의 연동을 담당한다.
    : 액티브 레코드에서는 레코드 객체를 통해서 데이터베이스 테이블을 조작한다.
    : 각각의 레코드는 데이터베이스 테이블에서 각각의 행과 대응하고, 각각의 액티브 레코드 객체는 데이터베이스 조작에 필요한
      CRUD(생성, 읽기, 수정, 삭제)메소드들을 가지고 있다.
 
    6.1 Active Record의 3가지 특징
        : 설정 대신 컨벤션 이용: 규약에 따라서 필요한 규칙들을 암묵적으로 정의하여 사용한다.
        : 멘타 프로그래밍: 데이터베이스 테이블에 정의된 컬럼들을 찾아서 대응되는 객체의 속성으로 추가하는 작업을 자동을 해준다.
        : 맵핑 언어: 맵핑 언어를 사용하여 테이블 간의 관계를 지정한다.
 
7. Database 설정
    : Active Record를 이용아혀 여러가지 Data base를 사용할 수 있지만, 나는 sqlite의 사용을 위한 database을 설정하려한다.
    : "config"디렉토리 아래의 database.yml 파일을 다음과 같이 설정한다.
    
    -Code in database.yml-

        development:
          adapter: sqlite
          database: db/photos_development

        test:
          adapter: sqlite
          database: db/photos_test
        production:
          adapter: sqlite
          database: db/photos_production

     7.1 Shema Migration

        : 아래와 같이 Model을 생성한다.

        => ruby script/generate model Photo

        : 위 코드를 통해서 app/modes/photo.rb 파일안에 모델 객첵가 생성된다.

        : Shema Migration을 통하면 데이터베이스와 독립적인 스키마를 구성할 수 있다.

     

    7.2 Shema Migration 설정

        : "config/enviroment.rb"파일을 열어 "config.active_record.schema_format = :ruby"로 설정해주면되나,

        : RubyOnRails 1.1 이후 버전은 이 값이 기본 설정 값이므로, 변경할 필요는 없다.

 

    7.3 up/down 메소드 설정

        :"db/migrate"디렉토리의 001_create_photos.rb 파일을 열고 다음과 같이 수정한다.

        

        -Code in 001_create_photos.rb-

        class CreatePhotos < ActiveRecord::Migration
          def self.up
            create_table :photos do |photo|
              photo.column "filename", :string
            end
          end

          def self.down
            drop_table :photos
          end
        end
 

 8. 기본 액티브 레코드 클래스

    : 마이그레이셔이나 SQL명령, 어느 것을 사용하더라도 작명 규약을 반드시 지켜야 한다.

    : 테이블 이름이나 id 컬럼의 정의등 모두 작명규약에 따라서 이름이 만들어진다.

 

    8.1 Rails의 작명 규약

        :클래스와 테이블 이름

            . 레일즈는 액티브 레코드 클래스 이름의 영문 복수형을 데이터베이스 테이블 이름으로 간주하여 테이블을 찾는다.

        :식별자

            . 액티브 레코드는 "id"란 이름의 컬럼을 찾아 유일한 식별자로 사용한다. "id"컬럼은 정수형이어야 하며, 데이터베이스는

              이 컬럼을 키로 사용해야 한다.

        :외래키

            . 외래키는 <clise>_id 의 형태로 이름이 지어져야 한다.

        : 대문자 표기

            . 클래스를 정의할 때 클래스 이름은 각 단어의 첫번째 글자는 대문자로 하고 단어 사이의 공백을 없앤다.

            . 메소드, 데이터베이스테이블 이름, 컬럼 이름. 속성 이름, 심벌 이름등은 단어 사이의 공백을 '_'문자로 대체한다.     

 9. Rails Console
    : 레일즈 콘솔은 데이터베이스와 모델 간의 유기적인 작업을 할 수 있도록 해준다.
    : 이는 다음과 같은 작업을 하도록 도와준다.
        . 데이터 베이스와 연결한다.
        . app/model에 있는 액티브 레코드 클래스들을 불러온다.
        . 데이터베이스와 모델 간에 데이터베이스 작업을 포함하여 유기적인 작업을 할 수 있게 해준다.
    : 다음과 같이 실행한다.
    => ruby script/console

디버깅과 개발에 활용할 수 있는 콘솔화면이 실행됨을 볼수 있을 것이다.
참고로, 나의 개발 환경이 윈도우 이므로 "ruby + command"의 형태롤 도스모드에서 명령을 실행하고 있다.
Posted by 행복상자

댓글을 달아 주세요